package com.hongyegroup.zhurijob.router

import android.app.Activity
import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.guadou.cs_router.ARouterPath
import com.guadou.cs_router.app.IAppComponentServer
import com.guadou.lib_baselib.utils.log.YYLogUtils

@Route(path = ARouterPath.PATH_SERVICE_APP, name = "App模块路由服务")
class AppComponentServiceImpl : IAppComponentServer {

    override fun initSMS(): IAppComponentServer {
        return this
    }

    override fun sendSMSCode(
        activity: Activity, phone: String, sendAction: ((isSuccess: Boolean) -> Unit)?, verifyAction: ((isSuccess: Boolean) -> Unit)?
    ) {

    }

    override fun verifySMSCode(activity: Activity, code: String, verifyAction: ((isSuccess: Boolean) -> Unit)?) {

    }

    override fun gotoLoginPage() {
        YYLogUtils.w("AppComponentServiceImpl-gotoLoginPage()")
    }

    override fun init(context: Context?) {
        YYLogUtils.w("AppComponentServiceImpl-init")
    }
}